Get Logs from a Running CI Cube in Repository

Deprecated

Endpoint is deprecated, please use GET /repos/{org_slug}/{repo_slug}/cicd/logs/{run_slug}/{workflow_slug}/{task_slug}/{cube_slug} instead

Request

GET

https://api.sourcecraft.tech/{org_slug}/{repo_slug}/cicd/logs/{run_slug}/{workflow_slug}/{task_slug}/{cube_slug}

Path parameters

Name

Description

cube_slug

Type: string

Cube name as defined in the config.

Example: ``

org_slug

Type: string

Example: ``

repo_slug

Type: string

Example: ``

run_slug

Type: string

Example: ``

task_slug

Type: string

Task name as defined in the config.

Example: ``

workflow_slug

Type: string

Workflow name as defined in the config.

Example: ``

Query parameters

Name

Description

page

Type: integer

Page number to fetch, by default 1.

Logs are split into pages; pages are not guaranteed to be the same size and are intended to be read
in order. When one page is finished, the subsequent one starts being written.

Responses

200 OK

A successful response.

Body

application/json
{
  "logs": "example",
  "page_complete": true,
  "done": true
}

Name

Description

done

Type: boolean

This flag is set to true when the the cube's execution has finished and no more logs will be written.

logs

Type: string

Example: example

page_complete

Type: boolean

This flag is set to true when the corresponding page of logs was fully written.
If page_complete is false, requests for the next pages will result in a status code 'Not Found'.

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

No longer supported, please use an alternative and newer version.

Предыдущая
Следующая